# Created by pyp2rpm-3.1.2
%global pypi_name QtAwesome

Name:		python-%{pypi_name}
Version:	0.3.3
Release:	1%{?dist}
Summary:	FontAwesome icons in PyQt and PySide applications
License:	MIT
URL:		https://github.com/spyder-ide/qtawesome
Source0:	https://files.pythonhosted.org/packages/source/Q/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:	MIT_license.txt
BuildArch:	noarch
 
BuildRequires:	python-setuptools
BuildRequires:	python2-devel
 
BuildRequires:	python3-setuptools
BuildRequires:	python3-devel

%description
QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%package -n     python2-%{pypi_name}
Summary:	FontAwesome icons in PyQt and PySide applications
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:	python-qtpy
Requires:	python-six

%description -n python2-%{pypi_name}

QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%package -n     python3-%{pypi_name}
Summary:	FontAwesome icons in PyQt and PySide applications
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:	python3-qtpy
Requires:	python3-six

%description -n python3-%{pypi_name}

QtAwesome enables iconic fonts such as Font Awesome and Elusive.

It is a port to Python - PyQt / PySide of the QtAwesome C++ library by 
Rick Blommers.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# copy license text file to current directory
cp %{SOURCE1} .

%build
%py2_build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py3_install

%py2_install


%files -n python2-%{pypi_name} 
%license MIT_license.txt
%{python2_sitelib}/qtawesome
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name} 
%license MIT_license.txt
%{python3_sitelib}/qtawesome
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Aug 11 2016 Mukundan Ragavan <nonamedotc@gmail.com> - 0.3.3-1
- Initial package.
